Jump to content

Search the Community

Showing results for tags 'ilogic'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Categories

  • Programs and Scripts
  • 2D AutoCAD Blocks
  • 3D AutoCAD Blocks
  • Images
    • Backgrounds

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 10 results

  1. I need to make a ilogic code that only runs if the Last Modified Date is aften "20-03-2018 10:41:47". how do i do that ?
  2. I want to run this code [font=Times New Roman][size=3] [/size][/font] [color=black][font="Courier New"]On Error Resume Next[/font][/color] [font=Times New Roman][size=3] [/size][/font] [color=black][font="Courier New"]Dim oDrawDoc As DrawingDocument[/font][/color] [font=Times New Roman][size=3] [/size][/font] [color=black][font="Courier New"]oDrawDoc = ThisApplication.ActiveDocument[/font][/color] [font=Times New Roman][size=3] [/size][/font] [color=black][font="Courier New"]Dim oPartsList As PartsList[/font][/color] [font=Times New Roman][size=3] [/size][/font] [color=black][font="Courier New"]oPartsList = oDrawDoc.ActiveSheet.PartsLists.Item(1)[/font][/color] [font=Times New Roman][size=3] [/size][/font] [color=black][font="Courier New"]If Not oPartsList Is Nothing Then [/font][/color] [font=Times New Roman][size=3] [/size][/font] [color=black][font="Courier New"]Call oPartsList.Sort("PART NUMBER")[/font][/color] [font=Times New Roman][size=3] [/size][/font] [color=black][font="Courier New"]oPartsList.Renumber[/font][/color] [font=Times New Roman][size=3] [/size][/font] [color=black][font="Courier New"]oPartsList.SaveItemOverridesToBOM[/font][/color] [font=Times New Roman][size=3] [/size][/font] [color=black][font=Calibri][size=3]End If[/size][/font][/color] [font=Times New Roman][size=3] [/size][/font] when it is write as a ilogic code it Works.. what I want to do is the want a bottum that do the same thing.. and the code make a error ... I am new to this ... can you help?
  3. how can i change color or suppress a occurrnce using ilogic in a IPT file ?
  4. Greetings. I would like to know if anyone has used iLogic to program piping? I am having an issue where I logic will not run because I have a new dimension randomly popping up when I run the rule. I am adjusting the pipe length on an assembly and iLogic does that nicely. However, there are two 90 degree bends(copper pipe) that work fine until I adjust the size. After I adjust the size a random angle dimension occurs and the pipe will not regenerate itself. I have to manually regenerate the path. Second issue, when I try to place an iLogic part in an assemble, Inventor informs me that I cannot place a part with tube and pipe. Really?? Is that normal??
  5. jbaum

    I logic Bunk!

    So... I am trying to get an ilogic assembly to function properly I have the condenser working exactly the way I want it to. The Oil separator on the other hand, following the same path as the condenser mind you, will change according to the parameters, but then immediately reverts back to the original size. Annoying! Or I thought I could attach the files, didn't work so the following are the codes i am using. Any help or ideas are helpful since look at something for 5 Hours and not see why one part works, and the other does not is completely vexing! This first code is for the Oil Seperator does not work If Charge_Req >= 3.0 lbforce And Charge_Req Parameter("Oil Separatoripart:1", "Dia_Inlet") = 0.375 in Parameter("Oil Separatoripart:1", "Dia_Outlet") = 0.375 in Parameter("Oil Separatoripart:1", "Diameter") = 3.5 in Parameter("Oil Separatoripart:1", "Height") = 8.0 in Else If Charge_Req > 6.0 lbforce And Charge_Req Parameter("Oil Separatoripart:1", "Dia_Inlet") = 0.5 in Parameter("Oil Separatoripart:1", "Dia_Outlet") = 0.5 in Parameter("Oil Separatoripart:1", "Diameter") = 4.5 in Parameter("Oil Separatoripart:1", "Height") = 10.0 in Else If Charge_Req > 9.0 lbforce And Charge_Req Parameter("Oil Separatoripart:1", "Dia_Inlet") = 0.75 in Parameter("Oil Separatoripart:1", "Dia_Outlet") = 0.75 in Parameter("Oil Separatoripart:1", "Diameter") = 5.5 in Parameter("Oil Separatoripart:1", "Height") = 14.0 in End If InventorVb.DocumentUpdate() This code is for the Condenser and works fine If gpm >= 0.5 gal And gpm Parameter("Condenser_Wateripart:1", "Dia_Pipe") = 1.0 in Parameter("Condenser_Wateripart:1", "R_Coil") = 4.0 in Parameter("Condenser_Wateripart:1", "Rotation") = 2.53 in Else If gpm > 1.5 gal And gpm Parameter("Condenser_Wateripart:1", "Dia_Pipe") = 1.1 in Parameter("Condenser_Wateripart:1", "R_Coil") = 4.5 in Parameter("Condenser_Wateripart:1", "Rotation") = 2.78 in Else If gpm > 3 gal And gpm Parameter("Condenser_Wateripart:1", "Dia_Pipe") = 1.2 in Parameter("Condenser_Wateripart:1", "R_Coil") = 5 in Parameter("Condenser_Wateripart:1", "Rotation") = 3.03 in End If InventorVb.DocumentUpdate() iLogicVb.RunRule("OIL SEP SIZE") iLogicVb.RunRule("Warning") InventorVb.DocumentUpdate()
  6. adlamabad

    iLogic question

    Good evening all, I am trying to make an iPart using iLogic rules and I'm stuck. The part (put simply) is a solid box with a rectangular hole running right through it, slightly off centre. My sketch includes an 'X' dimension (which is also d3 and d4), that I would like to be determined by what I input as 'ApertureWidth' and 'ApertureHeight' Below is what I have written as an iLogic rule, however the 'X' dimension is not behaving as I like ie it is always 125mm. This is my first attempt at iLogic so I'm sure it's something simple but I can't see it. Any help appreciated If ApertureHeight=100 AndAlso ApertureHeight If ApertureHeight=275 AndAlso ApertureHeight If ApertureHeight=1025 AndAlso ApertureHeight If ApertureHeight=1525 AndAlso ApertureHeight If ApertureHeight=2025 AndAlso ApertureHeight If ApertureHeight=2525 AndAlso ApertureHeight If ApertureHeight>=75 And ApertureWidth>=100 AndAlso ApertureHeight If ApertureHeight>=75 And ApertureWidth>=275 AndAlso ApertureHeight If ApertureHeight>=75 And ApertureWidth>=1025 AndAlso ApertureHeight If ApertureHeight>=75 And ApertureWidth>=1525 AndAlso ApertureHeight If ApertureHeight>=75 And ApertureWidth>=2025 AndAlso ApertureHeight If ApertureHeight>=75 And ApertureWidth>=2525 AndAlso ApertureHeight
  7. I am trying to speed-up dimensioning of an assembly drawing (DWG) in Inventor using iLogic. The assembly contains parts which have parameters which I would like inserted into dimension text. I can achieve this manually using the Edit Dimension / Format Text dialogue boxes to select the part parameters and insert them into the assembly dimension text. My iLogic rule can currently identify the part containing the parameters but when I attempt to write these to the dimension text, I receive an error message. The part parameters are called “No_Risers” and “riser”. “partFileName” is the FullFileName of the Part Document containing these parameters. The line which gives me the error message is the oDimensionText line : [color=red][color=red][font=Verdana]If [/font][/color][color=maroon][font=Verdana]oPart[/font][/color][color=black][font=Verdana].[/font][/color][color=maroon][font=Verdana]ComponentDefinition[/font][/color][color=black][font=Verdana].[/font][/color][color=purple][font=Verdana]Material[/font][/color][color=black][font=Verdana].[/font][/color][color=purple][font=Verdana]Name[/font][/color][color=black][font=Verdana] = [/font][/color][color=teal][font=Verdana]"Concrete" [/font][/color][color=red][font=Verdana]Then[/font][/color][/color] [color=red][color=maroon][font=Verdana]partFileName[/font][/color][color=black][font=Verdana] = [/font][/color][color=maroon][font=Verdana]oPart[/font][/color][color=black][font=Verdana].[/font][/color][color=maroon][font=Verdana]FullFileName[/font][/color][/color] [color=red][color=red][font=Verdana]End [/font][/color][color=red][font=Verdana]If[/font][/color][/color] oDimensionText.FormattedText = "<Parameter Resolved = 'True' ComponentIdentifier='" & partFileName & "' Name = 'No_Risers' Precision = '0'></Parameter>" & " No. RISERS @ " & "<Parameter Name = 'riser' Precision = '2'></Parameter>" & " = " & "<DimensionValue/>" (I have split the long line of code so it reads better on the forum. It is one line in the iLogic rule) I have tried many variations of the above, but cannot get it to work. I can successfully write the parameter values to the dimension text, but these do not update if the parameters update. I’m using Inventor 2013 Pro Any help would be gratefully received.
  8. Hello All I have a simple iLogic Rule which converts the Mass (kg) iProperty into a Custom iProperty measured in tonnes, to 2 decimal places. [color=#800080][b]iProperties[/b][/color][color=#000000].[/color][color=#800080][b]Value[/b][/color][color=#000000][b]([/b][/color][color=#008080]"[/color][color=#008080]Custom[/color][color=#008080]"[/color][color=#000000], [/color][color=#008080]"[/color][color=#008080]Weight (T)[/color][color=#008080]"[/color][color=#000000][b])[/b][/color][color=#000000][b]=[/b][/color][color=#800080][b]Round[/b][/color][color=#000000][b]([/b][/color][color=#800080][b]iProperties[/b][/color][color=#000000].[/color][color=#800080][b]Mass[/b][/color][color=#ff0000][b]/[/b][/color][color=#000000][b]1000[/b][/color][color=#000000],[/color][color=#000000][b]2[/b][/color][color=#000000][b])[/b][/color] The problem I have is that the iProperty value seems to remove trailing zeroes, (ie. it will display '0.8' when I require it to display '0.80'. Could anybody please indicate how to overcome this issue? Many thanks
  9. My co-worker got on his computer today and his iLogic check box was not in the list in the User Interface tab. Couldn't figure out where it went or how one would even go about doing so. In his ribbon commands there does not appear to be any iLogic related icons. Is it possible to accidentally uninstall or disable iLogic? I read a bunch about dual monitors and it hiding but doesn't sound like that applies here, but it isn't in the list and not sure why. My computer is doing great but he can't fill out any of our iLogic forms and is freaking out. Thanks!
  10. I created a drawing that varies hole spacing on a peice of angle iron using parameters,but it would be very beneficial to incorporate if-then statements to control the value of some of parameters based on the value of other parameters. An example of this is, if d1 parameter = 14 then d2parameter = 3 elesif d1 parameter = 15 then d2 parameter = 2. I got this idea from iLogic in Inventor, which is very easy to use. Im aware AutoCAD does not have this functionallity, but I think programing such as VBA could help me with my issue. I do not have a strong programing backround so any advise is appretiated.
×
×
  • Create New...